import {
  launchBrowser,
  openNewPage,
  loginUser,
  navigateToProfile,
  navigateToActivityLog,
  selectActivityLogFilter,
  deleteFirstPost,
  closeBrowser,
} from './automation';

const deletePosts = async (credentials: {
  email: string;
  password: string;
}) => {
  const { email, password } = credentials;

  const browser = await launchBrowser({ headless: false });
  const page = await openNewPage('https://facebook.com')(browser);

  await loginUser({ email, password })(page);
  await navigateToProfile(page);
  await navigateToActivityLog(page);
  await selectActivityLogFilter('POSTS')(page);
  await deleteFirstPost(page);

  await closeBrowser(browser);
};

export default {
  deletePosts,
};
